package de.intevation.flys.client.shared.model;

import java.util.Date;


/**
 * The default implementation of a {@link Collection}.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultCollection implements Collection {

    /** The uuid of the collection. */
    protected String uuid;


    /**
     * Creates a new DefaultCollection with a UUID.
     *
     * @param uuid The UUID.
     */
    public DefaultCollection(String uuid) {
        this.uuid = uuid;
    }


    public String identifier() {
        return uuid;
    }


    public Date getLastAccess() {
        return new Date();
    }


    public String getName() {
        return uuid;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
